import { html as l } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (a, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? v(r, s) : r, i = a.length - 1, n; i >= 0; i--)
    (n = a[i]) && (e = (t ? n(r, s, e) : n(e)) || e);
  return t && e && m(r, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--infoMarker", this.class = "c-pieIcon c-pieIcon--infoMarker", this.name = "IconInfoMarker";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--infoMarker"><path d="M12.281 1h-8.75A1.54 1.54 0 0 0 2 2.531v7.875a1.54 1.54 0 0 0 1.531 1.531H5.16l2.747 2.748 2.748-2.748h1.627a1.54 1.54 0 0 0 1.531-1.53V2.53A1.54 1.54 0 0 0 12.283 1Zm.219 9.406a.218.218 0 0 1-.219.219h-2.17L7.906 12.83l-2.205-2.205h-2.17a.218.218 0 0 1-.219-.219V2.531a.219.219 0 0 1 .22-.219h8.75a.219.219 0 0 1 .218.22v7.874ZM7.25 6.197h1.313v3.334H7.25V6.197Zm1.531-1.916a.875.875 0 1 1-1.75 0 .875.875 0 0 1 1.75 0Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  h("icon-info-marker")
], o);
export {
  o as IconInfoMarker
};
